/***************************************************************************
*  nibs_utils.h                        rlm_nibs - FreeRADIUS SQL Module    *
*                                                                          *
*      Header for utils file                                               *
*                                                                          *
*                               Neon aka Sergey Derkach <neon@is.kh.ua>    *
*                          sta aka Stanislav V. Korsakov <sta@net76.ru>    *
***************************************************************************/
#ifndef _nibs_utils_H
#define _nibs_utils_H

int             Atoi(const char *);
long int        Atol(const char *);
unsigned long int	Atoll(const char *);
double          Atof(const char *);
int             Round(double);
int		Timestr_match(const char *, time_t, void *);
void		Pap_hexify(char *, const char *, int);

#define	ST_MAX_WORD_SIZE	256

int		strcmp_st(const char *, const char *);
char *		tokenize_st( char *, char *, const char *);
int		find_word_st( char *, const char *, const char *);
#define		tokenize( a, b)		tokenize_st( a, b, 0)
#define		find_word( a, b)	find_word_st( a, b, 0)

#define		NAS_UNKNOW	0
#define		NAS_CISCO	1
#define		NAS_ASCEND	2

int		get_nas_type( uint32_t);

#endif
